Package com.verisign.epp.framework

## Class HttpEPPXMLAssembler

- java.lang.Object
- - com.verisign.epp.framework.HttpEPPXMLAssembler

- All Implemented Interfaces:
    `EPPByteArrayAssembler`

      public class HttpEPPXMLAssembler
      extends java.lang.Object
      implements EPPByteArrayAssembler

  The `HttpEPPXMLAssembler` class provides an implementation of `EPPAssembler` that can assemble/disassemble `EPPMessage`s and `EPPEventResponse`s from HTTP.
  See Also:
    `EPPAssembler`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpEPPXMLAssembler()` | Construct and instance of an `HttpEPPXMLAssembler`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EPPEvent` | `decode​(byte[] aBytes, java.lang.Object aData)` | Takes an input `byte` array and reads XML from it to create an `EPPEvent`
    `byte[]` | `encode​(EPPEventResponse aResponse, java.lang.Object aData)` | Takes an `EPPEventResponse` and serializes it to a `byte` array in XML Format.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpEPPXMLAssembler

          public HttpEPPXMLAssembler()

      Construct and instance of an `HttpEPPXMLAssembler`

  - ### Method Detail

    - #### decode

          public EPPEvent decode​(byte[] aBytes,
                                 java.lang.Object aData)
                          throws EPPAssemblerException

      Takes an input `byte` array and reads XML from it to create an `EPPEvent`
      Specified by:
        `decode` in interface `EPPByteArrayAssembler`
      Parameters:
        `aBytes` - The byte array to read data from.
        `aData` - A data object which can be used to store context information.
      Returns:
        EPPEvent The `EPPEvent` that is created from the InputStream
      Throws:
        `EPPAssemblerException` - Error creating the `EPPEvent`

    - #### encode

          public byte[] encode​(EPPEventResponse aResponse,
                               java.lang.Object aData)
                        throws EPPAssemblerException

      Takes an `EPPEventResponse` and serializes it to a `byte` array in XML Format.
      Specified by:
        `encode` in interface `EPPByteArrayAssembler`
      Parameters:
        `aResponse` - The response that will be serialized
        `aData` - A data object which can be used to store context information.
      Returns:
        `byte` array containing the encoded data.
      Throws:
        `EPPAssemblerException` - Error serializing the `EPPEventResponse`